// Nstroje -> Nastavenie kompiltoru -> okno: "prida tieto parametre pri volan linkera":
// -lmingw32 -lwinmm -lcomctl32 -lOpenGL32 -lGLu32 -lGLaux -lSetupAPI -lWinusb -lhid -lWininet -lUrlmon


#include "Premenne.h"
#include "Zdroje.h"
#include "Funkcie.h"



// Procedura vlakna
DWORD WINAPI ThreadProc(LPVOID lpParam) 
{	while(StavPripojeniaCOM)
	{	if(!WaitCommEvent(ComHandle, &mask, NULL))
			break;
		if(mask == EV_RXCHAR)
		{	ClearCommError(ComHandle, &error, &cs);			
			Sleep(40);
			ReadFile(ComHandle, RXbufer, _PocetByteRX, &readen, &osRead);	//Pri 19200 baud je to 1920 Byte/s = cca. 0.52 ms/Byte
			//Ak vsetky bajty este neboli nacitane na port....
			if(GetLastError() == ERROR_IO_PENDING)
			{	//Cyklicky zistuj stav zaplnenia portu vsetkymi bajtmi
				while(!GetOverlappedResult(ComHandle, &osRead, &readen, TRUE))
				{	PurgeComm(ComHandle,PURGE_TXABORT | PURGE_RXABORT | PURGE_TXCLEAR | PURGE_RXCLEAR);
					//Ak boli nacitane vsetky bajty, vyskoc z cyklu
					if((GetLastError() != ERROR_IO_INCOMPLETE) && (readen == _PocetByteRX))
						break;				
					memset(RXbufer, 0, sizeof(RXbufer));
				}
			}
			SendMessage(g_hwndDlg, WM_RXCHAR, 0, 0);	
		}
		PurgeComm(ComHandle,PURGE_TXABORT | PURGE_RXABORT | PURGE_TXCLEAR | PURGE_RXCLEAR);
	}	
	existuje_port = 0;
	porty_pamat = 100;
	//Automaticke odpojenie zariadenie (zatvorenie vstkych handle), ked bolo zariadenie odpojene.
	SendMessage(g_hwndDlg, WM_COMMAND, (WPARAM)ID_BUTTON_Odpojit, 0);
	  return 0;
}







INT_PTR CALLBACK ProceduraDialogu(HWND hwndDlg, UINT Message, WPARAM wParam, LPARAM lParam)
{   //spracovanie sprav adresovanych oknu
    switch(Message)
    {   // inicialiyacne udalosti pri otvoreni okna
		case WM_INITDIALOG:
        {   //Spristupnenie rukovate hlavneho dialogoveho okna na globalnej urovni.
			g_hwndDlg = hwndDlg;
			//Vytvorenie timeru pre spravu WM_TIMER
			SetTimer(hwndDlg, _Casovac1, _Cas_1, NULL); 
			//Pozadie hlavneho dialogoveho okna.
			g_pozadieDlg = CreatePatternBrush(LoadBitmap(g_hInstance, MAKEINTRESOURCE(IDB_POZADIE_DLG)));
			//Pozadie okienka bitmapy
			g_pozadie = CreatePatternBrush(LoadBitmap(g_hInstance, MAKEINTRESOURCE(IDB_POZADIE_BMP))); 
			//Nacitanie obrazku v okne.
			obrazok = LoadBitmap(g_hInstance, MAKEINTRESOURCE(ID_OBRAZOK));
			//vlozenie vlastneho kurzoru do okna
			SetClassLong(hwndDlg, GCL_HCURSOR,(LONG_PTR)LoadCursor(g_hInstance, MAKEINTRESOURCE(IDC_CURSOR)));
			//Vlozenie vlastnej ikony do programu
			SetClassLong(hwndDlg, GCL_HICONSM,(LONG_PTR)LoadIcon(g_hInstance, MAKEINTRESOURCE(IDI_ICON)));  				
			//Tien okna
			SetClassLong(hwndDlg, GCL_STYLE,(LONG_PTR)CS_DROPSHADOW);   			
			//nacitanie vlastneho kurzoru do systemovej triedy "BUTTON"     
		    SetClassLong(GetDlgItem(hwndDlg, ID_BUTTON_Pripojit), GCL_HCURSOR,(LONG_PTR)LoadCursor(g_hInstance, MAKEINTRESOURCE(IDI_CURSOR2)));
			//nacitanie vlastneho kurzoru do systemovej triedy Comboboxov.     
		    SetClassLong(GetDlgItem(hwndDlg, ID_COMBO1), GCL_HCURSOR,(LONG_PTR)LoadCursor(g_hInstance, MAKEINTRESOURCE(IDI_CURSOR2)));
			//Nacitanie obsahu registrov
			ReadRegistry();
			//Nastavenie polohy a rozmerov hlavneho dialogoveho okna
			SetWindowPos(hwndDlg, /*HWND_TOP*/HWND_TOPMOST, LOWORD(g_dwWindowPos), HIWORD(g_dwWindowPos), _SirkaHlOkna, _VyskaHlOkna, SWP_DRAWFRAME);	
			//Nastavenie fontu Tlacitka "Odpojit"
			GetObject(GetStockObject(DEFAULT_GUI_FONT), sizeof(logFont), &logFont);
			lstrcpy(logFont.lfFaceName, TEXT("MS Sans Serif"));
			logFont.lfHeight = -6;
			logFont.lfWeight = 600;		 
			hfButton = CreateFontIndirect(&logFont);
			SendDlgItemMessage(hwndDlg, ID_BUTTON_Odpojit, WM_SETFONT, (WPARAM)hfButton, (LPARAM)TRUE);  
				
			//***************** VYTVORENIE PAMATOVEJ BITMAPY PRE VYKRESLOVANIE OBSAHU HLAVNEHO OKNA ****************************************			
			GetClientRect(hwndDlg, &rect_okna); 
		    HDC hdcScreen = GetDC(hwndDlg); 
		    //vytvorii pamatove HDC kompatibilne s HDC okna
		    g_hdcMemWindow = CreateCompatibleDC(hdcScreen); 
		    ///Vytvori rastrovy obrazok kompatibilny s oknom.
		    HBITMAP hBitmap = CreateCompatibleBitmap(hdcScreen, rect_okna.right, rect_okna.bottom); 
		    SelectObject(g_hdcMemWindow, hBitmap);   
			//Prvotne vyplnenie bitmapy texturou pozadia
		    FillRect(g_hdcMemWindow, &rect_okna, g_pozadie);
		    ReleaseDC(hwndDlg, hdcScreen);
		    DeleteObject(hBitmap);  
			
			//*******************************************************************************************************************************	

			Led_X = 81, 
			Led_Y = 26, 
			Led_CX = 66,
			Led_CY = 27,
			LedZaoblenie = 7;
			//Nastavenie rect struktury Led indikatora udajmi o rozmeroch
			SetRect(&rect_indikator, Led_X, Led_Y, Led_X+Led_CX, Led_Y+Led_CY);
			
			//Stanovenie obdlznika kde sa zobrazuju udaje, aby sa pri roznych akciach aktualizoval len ten a neblikali prvky okna
			rect_hl.left = 5;
			rect_hl.right = rect_okna.right - 5;
			rect_hl.top = 122;
			rect_hl.bottom = rect_okna.bottom - 5;// - 126;		

			//Skryje tlacitko ODPOJIT (zatial totiz este nie je otvoreny ziadny COMport)
	        ShowWindow(GetDlgItem(hwndDlg, ID_BUTTON_Odpojit), SW_HIDE);			
			SendDlgItemMessage(hwndDlg, ID_COMBO2, CB_ADDSTRING, 0, (LPARAM)" NULL");
			SendDlgItemMessage(hwndDlg, ID_COMBO2, CB_SETCURSEL, 0, 0);	//zvolenie aktualnej polozky
			existuje_port = 0;
			
			//pamat, aby sa okno neprekreslovalo pri kazdom obnovovani portov, iba ked sa stav existujucich portov zmenil
	        porty_pamat = 100;
	        //Prvotne vyhladanie aktualne pripojenych COM portov a naplnenie ich cislami comboboxu "COM porty".
	        Init_com_portov(hwndDlg);
	        //Naplnenie comboboxu "Rychlost komunikacie" udajmi. 
			SendDlgItemMessage(hwndDlg, ID_COMBO1, CB_ADDSTRING, 0, (LPARAM)" 75");
			SendDlgItemMessage(hwndDlg, ID_COMBO1, CB_ADDSTRING, 0, (LPARAM)" 110");
			SendDlgItemMessage(hwndDlg, ID_COMBO1, CB_ADDSTRING, 0, (LPARAM)" 150");
			SendDlgItemMessage(hwndDlg, ID_COMBO1, CB_ADDSTRING, 0, (LPARAM)" 300");
			SendDlgItemMessage(hwndDlg, ID_COMBO1, CB_ADDSTRING, 0, (LPARAM)" 600");
			SendDlgItemMessage(hwndDlg, ID_COMBO1, CB_ADDSTRING, 0, (LPARAM)" 1200");
			SendDlgItemMessage(hwndDlg, ID_COMBO1, CB_ADDSTRING, 0, (LPARAM)" 1800");
			SendDlgItemMessage(hwndDlg, ID_COMBO1, CB_ADDSTRING, 0, (LPARAM)" 2400");
			SendDlgItemMessage(hwndDlg, ID_COMBO1, CB_ADDSTRING, 0, (LPARAM)" 4800");
			SendDlgItemMessage(hwndDlg, ID_COMBO1, CB_ADDSTRING, 0, (LPARAM)" 7200");
			SendDlgItemMessage(hwndDlg, ID_COMBO1, CB_ADDSTRING, 0, (LPARAM)" 9600");
			SendDlgItemMessage(hwndDlg, ID_COMBO1, CB_ADDSTRING, 0, (LPARAM)" 14400");
			SendDlgItemMessage(hwndDlg, ID_COMBO1, CB_ADDSTRING, 0, (LPARAM)" 19200");
			SendDlgItemMessage(hwndDlg, ID_COMBO1, CB_ADDSTRING, 0, (LPARAM)" 38400");
			SendDlgItemMessage(hwndDlg, ID_COMBO1, CB_ADDSTRING, 0, (LPARAM)" 57600");
			SendDlgItemMessage(hwndDlg, ID_COMBO1, CB_ADDSTRING, 0, (LPARAM)"115200");
			SendDlgItemMessage(hwndDlg, ID_COMBO1, CB_ADDSTRING, 0, (LPARAM)"128000");
			SendDlgItemMessage(hwndDlg, ID_COMBO1, CB_ADDSTRING, 0, (LPARAM)"256000");
			//Zvolenie aktualnej polozky
			SendDlgItemMessage(hwndDlg, ID_COMBO1, CB_SETCURSEL, Aktualna_rychlost, 0);
			//Odoslanie spravy do obsluhy comboboxu rychlosti
			SendMessage(g_hwndDlg, WM_COMMAND, (WPARAM)ID_COMBO1, 0);	
					
          return TRUE;
        }   
             
        
        
        //nastavenie pozadia dialogoveho okna a inych jeho prvkov
		//case WM_CTLCOLORLISTBOX:
        //case WM_CTLCOLOREDIT:
        case WM_CTLCOLORSTATIC:
        case WM_CTLCOLORDLG:
        {    SetBkMode((HDC)wParam, TRANSPARENT);
             return (INT_PTR)g_pozadieDlg;
        }    
        
        
		
		
		// Uzivatelsky definovana sprava pre spracovanie prijatych dat z UART
		case WM_RXCHAR:
		{	int f;
			//UINT64 x = 0;		
			if(StavPripojeniaCOM)
			{	//Skopirovanie vsetkych prijatych bajtov z RXbufer[] do pola Cislo[], z ktoreho sa zobrazuje v obsluhe spravy WM_PAINT
				memcpy(Cislo, RXbufer,  sizeof(Cislo));	
				//Beep (800, 400);
				// Prekreslenie bitmapy
				RedrawWindow(hwndDlg, &rect_hl, NULL, RDW_UPDATENOW | RDW_INVALIDATE);		
			}			
			return TRUE;
		}
	


	
	
		
        case WM_COMMAND:
        {	 
			 switch(LOWORD(wParam))
             {  
             	//Tlacitko Led 1
             	case ID_BUTTON_1:
             	{	memset(Cislo, 0, sizeof(Cislo));
				 	memset(RXbufer, 0, sizeof(RXbufer));				 	
					TXbufer[0] = 0b00000001;
					WriteFile(ComHandle, TXbufer, 1, &writen, &osWrite);	 	 	
             		break;
             	}
             
             	//Tlacitko Led 2
             	case ID_BUTTON_2:
             	{	memset(Cislo, 0, sizeof(Cislo));
				 	memset(RXbufer, 0, sizeof(RXbufer));
					TXbufer[0] = 0b00000010;
					WriteFile(ComHandle, TXbufer, 1, &writen, &osWrite);				 	 	
             		break;
             	}
             
             	//Tlacitko Led 3
             	case ID_BUTTON_3:
             	{	memset(Cislo, 0, sizeof(Cislo));
				 	memset(RXbufer, 0, sizeof(RXbufer));
					TXbufer[0] = 0b00000100;
					WriteFile(ComHandle, TXbufer, 1, &writen, &osWrite);				 	 	
             		break;
             	}
             
				//Tlacitko Led_4
             	case ID_BUTTON_4:
             	{ 	memset(Cislo, 0, sizeof(Cislo));
				 	memset(RXbufer, 0, sizeof(RXbufer));
					TXbufer[0] = 0b00001000;
					WriteFile(ComHandle, TXbufer, 1, &writen, &osWrite);			 	 	
             		break;
             	}             
             
   				//Tlacitko Led_5
             	case ID_BUTTON_5:
             	{ 	memset(Cislo, 0, sizeof(Cislo));
				 	memset(RXbufer, 0, sizeof(RXbufer));
					TXbufer[0] = 0b00010000;
					WriteFile(ComHandle, TXbufer, 1, &writen, &osWrite);			 	 	
             		break;
             	}             
             
             	//Tlacitko vycistit
               	case ID_BUTTON_Vymazat:
             	{ 	memset(Cislo, 0, sizeof(Cislo));
				 	memset(RXbufer, 0, sizeof(RXbufer));
					TXbufer[0] = 0b10000000;
					WriteFile(ComHandle, TXbufer, 1, &writen, &osWrite);				 	
					RedrawWindow(hwndDlg, &rect_hl, NULL, RDW_UPDATENOW | RDW_INVALIDATE);			 	 	
             		break;
             	}             
             
             
            	//Tlacitko PRIPOJIT RS232
             	case ID_BUTTON_Pripojit:
             	{   KillTimer(hwndDlg, _Casovac1);
  					// Nacita zvoleny port
             		zvoleny_port = AktivnePorty[(BYTE)SendDlgItemMessage(hwndDlg, ID_COMBO2, CB_GETCURSEL, 0, 0)];
             		//otvori zvoleny port
					if(zvoleny_port)	 
					{	StavPripojeniaCOM = OpenCom(hwndDlg, zvoleny_port);	 
						// VYTVORENIE VLAKNA
						ghThread = CreateThread(NULL, 0, ThreadProc, NULL, 0, 0); 	
					}
             		if(existuje_port)
	             	{	ShowWindow(GetDlgItem(hwndDlg, ID_BUTTON_Pripojit), SW_HIDE);	//Skryje tlacitko PRIPOJIT
             			ShowWindow(GetDlgItem(hwndDlg, ID_BUTTON_Odpojit), SW_SHOW);	//Zobrazi tlacitko ODPOJIT
             			EnableWindow(GetDlgItem(hwndDlg, ID_COMBO2), FALSE);	//Deaktivuje volbu portu
             		}
             		else
             			EnableWindow(GetDlgItem(hwndDlg, ID_BUTTON_Pripojit), FALSE);	//Deaktivuje tlacitko PRIPOJIT
				    // Prekreslenie oblasti okna, kde je "LED indikator" pripojenia	
                    RedrawWindow(hwndDlg, &rect_indikator, NULL, RDW_UPDATENOW | RDW_INVALIDATE);  	
             		break;
             	}   
				 
				 	
             	
                         
             	//Tlacitko ODPOJIT
             	case ID_BUTTON_Odpojit:
             	{	StavPripojeniaCOM = 0; 					 
					//Zatvorenie portu
					CloseCom();
				//	Wait_ms(100);
             		ShowWindow(GetDlgItem(hwndDlg, ID_BUTTON_Odpojit), SW_HIDE);	//Skryje tlacitko ODPOJIT
	            	ShowWindow(GetDlgItem(hwndDlg, ID_BUTTON_Pripojit), SW_SHOW);	//Zobrazi tlacitko PRIPOJIT
	            	EnableWindow(GetDlgItem(hwndDlg, ID_COMBO2), TRUE);		//Aktivuje volbu portu
            		SetTimer(g_hwndDlg, _Casovac1, _Cas_1, NULL); 
 					// Prekreslenie oblasti okna, kde je "LED indikator" pripojenia
                    RedrawWindow(hwndDlg, &rect_indikator, NULL, RDW_UPDATENOW | RDW_INVALIDATE);
             		break;
             	}
             	
               	
             	
             	//Volba bitovej rychlosti
             	case ID_COMBO1:
             	{	Aktualna_rychlost = (BYTE)SendDlgItemMessage(hwndDlg, ID_COMBO1, CB_GETCURSEL, 0, 0);
             		if(Aktualna_rychlost == 0)	baudova_rychlost =  75;
             		if(Aktualna_rychlost == 1)	baudova_rychlost = 110;
             		if(Aktualna_rychlost == 2)	baudova_rychlost = 150;
             		if(Aktualna_rychlost == 3)	baudova_rychlost = 300;
             		if(Aktualna_rychlost == 4)	baudova_rychlost = 600;
             		if(Aktualna_rychlost == 5)	baudova_rychlost = 1200;
             		if(Aktualna_rychlost == 6)	baudova_rychlost = 1800;
             		if(Aktualna_rychlost == 7)	baudova_rychlost = 2400;
             		if(Aktualna_rychlost == 8)	baudova_rychlost = 4800;
             		if(Aktualna_rychlost == 9)	baudova_rychlost = 7200;
             		if(Aktualna_rychlost == 10)	baudova_rychlost = 9600;
             		if(Aktualna_rychlost == 11)	baudova_rychlost = 14400;
             		if(Aktualna_rychlost == 12)	baudova_rychlost = 19200;
             		if(Aktualna_rychlost == 13)	baudova_rychlost = 38400;
             		if(Aktualna_rychlost == 14)	baudova_rychlost = 57600;
             		if(Aktualna_rychlost == 15)	baudova_rychlost = 115200;
             		if(Aktualna_rychlost == 16)	baudova_rychlost = 128000;
             		if(Aktualna_rychlost == 17)	baudova_rychlost = 256000;
             		//Zmena rychlosti podla nastavenia
             		dcb.BaudRate = baudova_rychlost;
             		SetCommState(ComHandle, &dcb);
             		//Zapis zvolenej hodnoty do registrov
             		HKEY hKey;
             		if((hKey = registry_OpenKey(REGISTRY_KEY_NAME, NULL)))
						registry_WriteBYTE(hKey, TEXT("Baud/s"), Aktualna_rychlost);
					registry_CloseKey(hKey);
             		//Vynulovanie pracovnych polii
					memset(Cislo, 0, sizeof(Cislo));
					memset(RXbufer, 0, sizeof(RXbufer));
					memset(TXbufer, 0, sizeof(TXbufer));
					PurgeComm(ComHandle, PURGE_RXABORT | PURGE_RXCLEAR);
             		// Prekreslenie bitmapy
					RedrawWindow(hwndDlg, &rect_hl, NULL, RDW_UPDATENOW | RDW_INVALIDATE);
             		break;
             	}
             	
 
 
 
 				//Volba COM portu
             	case ID_COMBO2:
             	{	//Nacitanie zvolenej hodnoty
             		posledny_pripojeny_port = (BYTE)SendDlgItemMessage(hwndDlg, ID_COMBO2, CB_GETCURSEL, 0, 0);
             		//Zapis zvolenej hodnoty do registrov
             		HKEY hKey;
             		if((hKey = registry_OpenKey(REGISTRY_KEY_NAME, NULL)))
						registry_WriteBYTE(hKey, TEXT("Port"), posledny_pripojeny_port);
					registry_CloseKey(hKey);
             		break;
             	}
 
 
 
              					 			 
				// Zatvorenie dialogoveho okna  
				case IDCANCEL:
				{	DeleteObject(hfButton);
					DeleteObject(hfEdit1);
					CloseCom();
					KillTimer(hwndDlg, _Casovac1);
					WriteRegistry(hwndDlg);
					EndDialog(hwndDlg, LOWORD(wParam));
					PostQuitMessage (0);
					break;
				}
             }
             return TRUE;
        }
        
        
 
 
 
 
 
		 case WM_TIMER:
        {   switch(wParam)
			{	case _Casovac1: 
				{	
					Hladanie_com_portov(hwndDlg);
				}
				break;
				
			}
			break;
        }  
    
       
       
       
       
        
        case WM_PAINT: 
        {   PAINTSTRUCT ps;
            HDC hdc;
			SIZE size;
			
			// Ziskanie handle vykreslovania do okna
            hdc = BeginPaint(hwndDlg, &ps);   
					
			// Premazanie obsahu bitmapy vyplnou pozadia           
			FillRect(g_hdcMemWindow, &rect_okna, g_pozadie);   
		
			// Podfarbenie oblasti, kde sa obnovuju udaje.
			ObdlznikZaobleny(g_hdcMemWindow, 
							rect_hl.left, rect_hl.top, 									// x, y
							rect_hl.right-rect_hl.left, rect_hl.bottom-rect_hl.top, 	// sirka, vyska
							10, 															// zaoblenie
							1, 															// hrubka pera
							RGB(0,0,0), 											// farba pera
							RGB(255,255,170));											// farba stetca	
											
			//=====================================ZOBRAZENIE CISEL======================================================
			
			int VelkostPisma = 13,
				X_text = rect_hl.left+7,
				Y_text = rect_hl.top+6,
				x=0, y=0, n=0;
			TCHAR text[100];
			LOGFONT logFont;
			
			//Graficky rezim podporujuci zmenu logFont.lfOrientation pisma
			int GraphicModeOld = SetGraphicsMode (g_hdcMemWindow, GM_ADVANCED);	//GM_COMPATIBLE			
			SetBkMode(g_hdcMemWindow, TRANSPARENT);
			GetObject(GetStockObject(DEFAULT_GUI_FONT), sizeof(logFont), &logFont); 
			COLORREF ColorOld = SetTextColor(g_hdcMemWindow, RGB(0,0,140));					
			lstrcpy(logFont.lfFaceName, "Consolas");
			logFont.lfHeight = -MulDiv (VelkostPisma, GetDeviceCaps (g_hdcMemWindow, LOGPIXELSY), 72); //Velkost pisma
			logFont.lfWidth = 0; //Sirka pisma (ak je 0, pouzije sa automaticky najblizsia hodnota)
			logFont.lfWeight = 0;//600; //Tucne pismo
			//logFont.lfEscapement = 0;//-300;//900; //Uhol celeho textu (rotacia)
			//logFont.lfItalic = TRUE;
			//logFont.lfOrientation = 0;//-300;//900; //Zvisly text		
			HFONT hFont = CreateFontIndirect(&logFont);
			HFONT hFontOld = (HFONT)SelectObject(g_hdcMemWindow, hFont); 
			n=0;
			for(y = 0; y < 5; y++)										
			{	for(x = 0; x < 10; x++)																				    				
				{	_stprintf(text, "%.2X", Cislo[n]);
					TextOut(g_hdcMemWindow, X_text + x*24, Y_text + y*(size.cy+1), text, lstrlen(text));
					GetTextExtentPoint32(g_hdcMemWindow, text, lstrlen(text), &size);
					n++;
				}				
			}
			SelectObject(g_hdcMemWindow, hFontOld);
		    DeleteObject(hFont);
		    SetTextColor(g_hdcMemWindow, ColorOld);
		    SetGraphicsMode (g_hdcMemWindow, GraphicModeOld);
		    
			//=============================================================================================================
			
			//Vlozenie reprezentacneho obrazku do okna
			DrawState(g_hdcMemWindow, 0, 0,(LPARAM)obrazok, 0, rect_okna.right-102, 10, 0, 0, DST_BITMAP);
							     		   
  			//skopirovanie obsahu bitmapy do okna        
			BitBlt(hdc, 0,/*97*/0, rect_okna.right, rect_okna.bottom/*-29*/, g_hdcMemWindow,0,0,SRCCOPY);  
 
          	//Stavovy led pasik indikacie pripojenia                
            if(StavPripojeniaCOM == 1)	 		
            	LedSvetlo(hdc, RGB(0,180,180), RGB(0,255,255), LedZaoblenie, rect_indikator);	 		
            else
           		LedSvetlo(hdc, RGB(130,130,130), RGB(200,200,200), LedZaoblenie, rect_indikator);
           		
			EndPaint(hwndDlg, &ps);    
			
			/*		   
	   		//premena cisla na bitove 8 miestne pole nul a jednotiek
			BYTE k = 1, Byte[10];
		 	for(int f = 0; f < 8; f++)
			{	if(k & UCFG) 
					Byte[f] = 1;
				else
					Byte[f] = 0;
				k *= 2;
			}
			//*/			
			        
            return TRUE;
        }           
    }
    return FALSE;
}    














// HLAVNY PROGRAM
int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance, LPSTR lpCmdLine, int nCmdShow) 
{   g_hInstance = hInstance;
	g_nCmdShow = nCmdShow;
	INITCOMMONCONTROLSEX icc;
    icc.dwSize = sizeof(INITCOMMONCONTROLSEX);
    icc.dwICC = ICC_WIN95_CLASSES;
    if ( !InitCommonControlsEx(&icc) )
       return FALSE;      
 	return DialogBox(hInstance, MAKEINTRESOURCE(IDD_DIALOG), NULL, (DLGPROC)ProceduraDialogu);	
}

